# Copyright (C) 2006: A.D.Foster
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# ***** END GPL LICENCE BLOCK *****

import Blender
from Blender import NMesh, Image, Object
import BZcommon
from BZobject import bzmesh,BlObject,propertyCheck
import BZtypeList
from BZcommon import retList
import BZsceneWriter



class importer(bzmesh):

	def __init__(self,bzobj):
		self.obj=bzobj
		#name=self.obj.name[0]
		#self.obj.name=name

	def cleanStr(self,string):
		string=str(string)
		string=string.replace('\'','')
		string=string.replace('[','')
		string=string.replace(']','')
		string=string.replace(',','')
		return string	

	def run(self):
		scene = Blender.Scene.GetCurrent ()
		scobj=Object.New('Empty',self.obj.name)
		BZcommon.propertyCheck(scobj,'bzflag','group')
		scene.link (scobj)
		self.updateto()	
		scobj.layers=[2]
		Blender.Redraw()

class export(BlObject):
	def __init__(self,blobj,pipe):
		self.pipe=pipe
		self.out=BZtypeList.group()
		self.obj=blobj
	
	def run(self):
		BZPrefs=Blender.Registry.GetKey('BZFlag', True)
		ro=BZPrefs['ro']
		self.updateFrom()
		self.pipe.write('group %s\n' % self.out.parent)
		self.writeBools()
		self.writeStrings()
		self.writeAttribs()
		self.writeMesh()
		self.pipe.write('end\n\n')
		self.pipe.flush()
		
		



